## gtk2-engines-oxygen 1.4.5-0ubuntu1+7.0trisquel1

=== CMakeLists.txt ===
project( oxygen-gtk )

cmake_minimum_required(VERSION 2.4)

###########################
# Define package generation
###########################

set( CPACK_PACKAGE_NAME "oxygen-gtk2" )
set( CPACK_SOURCE_PACKAGE_NAME "oxygen-gtk2" )
set( CPACK_SOURCE_GENERATOR TBZ2 )
set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Oxygen Gtk2 theme" )
set( CPACK_PACKAGE_VENDOR "hugo.pereira@free.fr" )
set( CPACK_PACKAGE_VERSION_MAJOR "1" )
set( CPACK_PACKAGE_VERSION_MINOR "4" )
set( CPACK_PACKAGE_VERSION_PATCH "5" )
set( CPACK_SOURCE_IGNORE_FILES "build" "^${PROJECT_SOURCE_DIR}.*/.git/" )

##################################
# Define oxygen-gtk version string
##################################
if( EXISTS "${CMAKE_SOURCE_DIR}/.git" )
    execute_process(COMMAND sh -c "cd ${CMAKE_SOURCE_DIR} && git describe 2>/dev/null"
        OUTPUT_VARIABLE OXYGEN_VERSION
        OUTPUT_STRIP_TRAILING_WHITESPACE)
endif( EXISTS "${CMAKE_SOURCE_DIR}/.git" )
STRING(COMPARE NOTEQUAL "${OXYGEN_VERSION}" "" OXYGEN_VERSION_DETECTED )
if( NOT OXYGEN_VERSION_DETECTED )
    set( OXYGEN_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH} )
endif( NOT OXYGEN_VERSION_DETECTED )
message( "Detected oxygen version string: ${OXYGEN_VERSION}" )

set( CPACK_SOURCE_PACKAGE_FILE_NAME "oxygen-gtk2-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}" )
include( CPack )
########################
# Package specific flags
########################

# Set to 1 to enable debugging information
if( NOT DEFINED OXYGEN_DEBUG )
    set( OXYGEN_DEBUG 0 )
endif( NOT DEFINED OXYGEN_DEBUG )

# Set to 1 to disable all signal hooks used for various features
if( NOT DEFINED DISABLE_SIGNAL_HOOKS )
    set( DISABLE_SIGNAL_HOOKS 0 )
endif( NOT DEFINED DISABLE_SIGNAL_HOOKS )

# Set to 1 to enable debug logs regarding inner shadows
if( NOT DEFINED OXYGEN_DEBUG_INNERSHADOWS )
    set( OXYGEN_DEBUG_INNERSHADOWS 0 )
endif( NOT DEFINED OXYGEN_DEBUG_INNERSHADOWS )

# Set to 1 to build windeco test app (normal users rarely need this)
if( NOT DEFINED BUILD_DECO_TEST )
    set( BUILD_DECO_TEST 0 )
endif( NOT DEFINED BUILD_DECO_TEST )

# Set to 1 to replace gtk stock icons
# with oxygen-icons
if( NOT DEFINED OXYGEN_ICON_HACK )
    set( OXYGEN_ICON_HACK 1 )
endif( NOT DEFINED OXYGEN_ICON_HACK )

# Set to 1 to force KDE icons and fonts when running in non-KDE
if( NOT DEFINED OXYGEN_FORCE_KDE_ICONS_AND_FONTS )
    set( OXYGEN_FORCE_KDE_ICONS_AND_FONTS 1 )
endif( NOT DEFINED OXYGEN_FORCE_KDE_ICONS_AND_FONTS )

# Set to 1 to resize combobox list to compensate for combobox button glow width
# (may result in flicker on combo popup)
if( NOT DEFINED ENABLE_COMBOBOX_LIST_RESIZE )
    set( ENABLE_COMBOBOX_LIST_RESIZE 1 )
endif( NOT DEFINED ENABLE_COMBOBOX_LIST_RESIZE )

# Set to 0 to disable inner shadows hack
# Note this flag is automatically set to 0 if GTK version is too old (< 2.24.2)
if( NOT DEFINED ENABLE_INNER_SHADOWS_HACK )
    set( ENABLE_INNER_SHADOWS_HACK 1 )
endif( NOT DEFINED ENABLE_INNER_SHADOWS_HACK )

# set to 0 to disable groupbox hack
if( NOT DEFINED ENABLE_GROUPBOX_HACK )
    set( ENABLE_GROUPBOX_HACK 1 )
endif( NOT DEFINED ENABLE_GROUPBOX_HACK )

##############
# Requirements
##############

# install prefix
include( UsePkgConfig )
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

    exec_program(
        ${PKGCONFIG_EXECUTABLE}
        ARGS --variable=prefix gtk+-2.0
        OUTPUT_VARIABLE GTK_PREFIX )

    message( "Info: using PKGCONFIG_EXECUTABLE to set the installation prefix" )
    set(CMAKE_INSTALL_PREFIX
        ${GTK_PREFIX} CACHE PATH "GTK install prefix" FORCE
        )
endif()

# X11
find_package( X11 REQUIRED )

# PKG_CONFIG
find_package(PkgConfig REQUIRED )

# GTK
pkg_check_modules( GTK REQUIRED gtk+-2.0 )
add_definitions( ${GTK_CFLAGS_OTHER} )

# Cairo
pkg_check_modules( CAIRO REQUIRED cairo )
add_definitions( ${CAIRO_CFLAGS_OTHER} )

##########################
# installation directories
##########################
exec_program(
    ${PKGCONFIG_EXECUTABLE}
    ARGS --variable=gtk_binary_version gtk+-2.0
    OUTPUT_VARIABLE GTK_BIN_VERSION )

if( DEFINED LIB_SUFFIX OR NOT CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT )

    message( "Info: using LIB_SUFFIX to set the theme engine installation path" )
    set( INSTALL_PATH_GTK_ENGINES "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/gtk-2.0/${GTK_BIN_VERSION}/engines" CACHE PATH "The directory in which to install the theme engine library( eg. /usr/lib/gtk-2.0/2.4.0/engines )" )

else()

    exec_program(
        ${PKGCONFIG_EXECUTABLE}
        ARGS --variable=libdir gtk+-2.0
        OUTPUT_VARIABLE GTK_LIBDIR_PREFIX )

    message( "Info: using PKGCONFIG_EXECUTABLE to set the theme engine installation path" )
    set( INSTALL_PATH_GTK_ENGINES "${GTK_LIBDIR_PREFIX}/gtk-2.0/${GTK_BIN_VERSION}/engines" CACHE PATH "The directory in which to install the theme engine library( eg. /usr/lib/gtk-2.0/2.4.0/engines )" )

endif()

set( INSTALL_PATH_GTK_THEMES "${CMAKE_INSTALL_PREFIX}/share/themes" CACHE PATH "The directory in which to install the theme data( eg. /usr/share/themes )" )
set( GTK_THEME_DIR ${INSTALL_PATH_GTK_THEMES}/oxygen-gtk )

# First emit all warnings in one place
# Adjust flags based on gtk version and warn user if needed
if( ENABLE_INNER_SHADOWS_HACK AND GTK_VERSION VERSION_LESS 2.24.2 )
    message( "Warning: disabling inner shadows hack because GTK version is too old (needed 2.24.2, found ${GTK_VERSION})" )
    set( ENABLE_INNER_SHADOWS_HACK 0 )
endif( ENABLE_INNER_SHADOWS_HACK AND GTK_VERSION VERSION_LESS 2.24.2 )

#########
# summary
#########
message( "Flags: " )
message( "  OXYGEN_DEBUG ${OXYGEN_DEBUG}" )
message( "  DISABLE_SIGNAL_HOOKS ${DISABLE_SIGNAL_HOOKS}" )
message( "  BUILD_DECO_TEST ${BUILD_DECO_TEST}" )
message( "  OXYGEN_DEBUG_INNERSHADOWS ${OXYGEN_DEBUG_INNERSHADOWS}" )
message( "  OXYGEN_ICON_HACK ${OXYGEN_ICON_HACK}" )
message( "  OXYGEN_FORCE_KDE_ICONS_AND_FONTS ${OXYGEN_FORCE_KDE_ICONS_AND_FONTS}" )
message( "  ENABLE_COMBOBOX_LIST_RESIZE ${ENABLE_COMBOBOX_LIST_RESIZE}" )
message( "  ENABLE_INNER_SHADOWS_HACK ${ENABLE_INNER_SHADOWS_HACK}" )
message( "  ENABLE_GROUPBOX_HACK ${ENABLE_GROUPBOX_HACK}" )
message( "" )
message( "Paths: " )
message( "  Installing the GTK theme engine library to: ${INSTALL_PATH_GTK_ENGINES}" )
message( "  Installing the GTK theme engine data to: ${GTK_THEME_DIR}" )
message( "" )

##################
# uninstall target
##################
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)


######################################################################
# Setup definitions and directories to be used for linking and include
######################################################################
link_directories( ${GTK_LIBRARY_DIRS} ${CAIRO_LIBRARY_DIRS} )
include_directories( ${GTK_INCLUDE_DIRS} ${CAIRO_INCLUDE_DIRS} ${X11_X11_INCLUDE_PATH} )

#############################
# generate configuration file
#############################
configure_file( config.h.cmake ${CMAKE_BINARY_DIR}/config.h )

################
# Subdirectories
################
add_subdirectory( src )
add_subdirectory( rc )
add_subdirectory( special-icons )
if( NOT DEBIAN_NO_DEMOS )
  add_subdirectory( demo )
endif( NOT DEBIAN_NO_DEMOS )

=== debian/changelog ===
gtk2-engines-oxygen (1.4.5-0ubuntu1+7.0trisquel1) belenos; urgency=medium

  * Added Trisquel's "abrowser" to XulAppNames, Trisquel issue #10944

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 05 Dec 2014 02:31:25 +0100

=== debian/control ===
Source: gtk2-engines-oxygen
Section: gnome
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
               debhelper (>= 9),
               libglib2.0-dev (>= 2.26.0),
               libgtk2.0-dev (>= 2.24.5-4)
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/gtk2-engines-oxygen.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/gtk2-engines-oxygen.git;a=summary

Package: gtk2-engines-oxygen
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kde-config-gtk-style
Multi-Arch: same
Description: Oxygen widget theme for GTK+-based applications
 Oxygen-Gtk is a port of the Oxygen widget style to GTK+.
 .
 It ensures visual consistency between GTK+ and Qt-based applications running
 under KDE.

## gtk2-engines-oxygen 1.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 set( CPACK_PACKAGE_VENDOR "hugo.pereira@free.fr" )
 set( CPACK_PACKAGE_VERSION_MAJOR "1" )
 set( CPACK_PACKAGE_VERSION_MINOR "4" )
-set( CPACK_PACKAGE_VERSION_PATCH "5" )
+set( CPACK_PACKAGE_VERSION_PATCH "6" )
 set( CPACK_SOURCE_IGNORE_FILES "build" "^${PROJECT_SOURCE_DIR}.*/.git/" )
 
 ##################################
@@ -200,7 +200,5 @@
 add_subdirectory( src )
 add_subdirectory( rc )
 add_subdirectory( special-icons )
-if( NOT DEBIAN_NO_DEMOS )
-  add_subdirectory( demo )
-endif( NOT DEBIAN_NO_DEMOS )
-
+add_subdirectory( demo )
+

=== special-icons/CMakeLists.txt ===

install(
	FILES standardbutton-closetab-16.png standardbutton-closetab-down-16.png standardbutton-closetab-hover-16.png
	DESTINATION "${GTK_THEME_DIR}/gtk-2.0/special-icons"
 )

=== debian/changelog ===
gtk2-engines-oxygen (1.4.6-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. (LP: #1385316)

 -- Michał Zając <quintasan@kubuntu.org>  Wed, 05 Nov 2014 16:30:21 +0100

gtk2-engines-oxygen (1.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-innershadow-crash.patch, applied upstream.
  * Add myself to uploaders.
  * Let dpkg-source use the default compression instead of bzip2.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 25 Oct 2014 15:03:39 +0200

gtk2-engines-oxygen (1.4.4-2) unstable; urgency=medium

  * Team upload.
  * Fix crash in LibreOffice save dialog. (Closes: #742051)
    - Cherry-pick upstream commit in fix-innershadow-crash.patch

 -- Felix Geyer <fgeyer@debian.org>  Thu, 20 Mar 2014 20:15:45 +0100

gtk2-engines-oxygen (1.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes crashes in some application such as Eclipse. (Closes: #741401)
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 15 Mar 2014 11:09:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: gtk2-engines-oxygen
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>,
+ Felix Geyer <fgeyer@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
                debhelper (>= 9),
                libglib2.0-dev (>= 2.26.0),
                libgtk2.0-dev (>= 2.24.5-4)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/gtk2-engines-oxygen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/gtk2-engines-oxygen.git;a=summary

=== debian/watch ===
version=3

opts=pasv \
  ftp://ftp.kde.org/pub/kde/stable/oxygen-gtk2/([\d\.]+)/src/oxygen-gtk2-([\d\.]+)\.tar\.bz2 \
  debian git-import-orig

## gtk2-engines-oxygen 1.4.6-1ubuntu1+8.0trisquel1

=== debian/changelog ===
gtk2-engines-oxygen (1.4.6-1ubuntu1+8.0trisquel1) flidas; urgency=medium

  * Added Trisquel's "abrowser" to XulAppNames, Trisquel issue #10944

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 17 Apr 2018 22:46:11 +0000

## gtk2-engines-oxygen 1.4.6-1ubuntu1+9.0trisquel1

=== debian/changelog ===
gtk2-engines-oxygen (1.4.6-1ubuntu1+9.0trisquel1) etiona; urgency=medium

  * Added Trisquel's "abrowser" to XulAppNames, Trisquel issue #10944

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 21:17:50 +0000

## gtk2-engines-oxygen 1.4.6-1.1build1+10.0trisquel1

=== debian/changelog ===
gtk2-engines-oxygen (1.4.6-1.1build1+10.0trisquel1) nabia; urgency=medium

  * Added Trisquel's "abrowser" to XulAppNames, Trisquel issue #10944

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 31 Jul 2021 00:00:26 +0000

gtk2-engines-oxygen (1.4.6-1.1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:15:23 +0100

gtk2-engines-oxygen (1.4.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Fathi Boudra from Uploaders list. (Closes: #879302)
  * Do not explicitly Pre-Depends on multiarch-support.
    (Closes: #870537)

 -- Boyuan Yang <073plan@gmail.com>  Sun, 12 Aug 2018 11:20:00 -0400

## gtk2-engines-oxygen 1.4.6-1.1build2+11.0trisquel1

=== debian/changelog ===
gtk2-engines-oxygen (1.4.6-1.1build2+11.0trisquel1) aramo; urgency=medium

  * Added Trisquel's "abrowser" to XulAppNames, Trisquel issue #10944

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jun 2022 17:29:08 +0000

gtk2-engines-oxygen (1.4.6-1.1build2) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 16:42:06 -0500

## gtk2-engines-oxygen 1.4.6-1.1build4trisquel1

=== CMakeLists.txt ===
--- 
+++ 
@@ -200,5 +200,7 @@
 add_subdirectory( src )
 add_subdirectory( rc )
 add_subdirectory( special-icons )
-add_subdirectory( demo )
-
+if( NOT DEBIAN_NO_DEMOS )
+  add_subdirectory( demo )
+endif( NOT DEBIAN_NO_DEMOS )
+

=== debian/changelog ===
gtk2-engines-oxygen (1.4.6-1.1build4trisquel1) ecne; urgency=medium

  * Added Trisquel's "abrowser" to XulAppNames, Trisquel issue #10944

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 17:13:25 +0000

gtk2-engines-oxygen (1.4.6-1.1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:54:51 +1100

gtk2-engines-oxygen (1.4.6-1.1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:54:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gtk2-engines-oxygen
 Section: gnome
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>,
+Uploaders: Kai Wasserbäch <curan@debian.org>,
  Felix Geyer <fgeyer@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
                debhelper (>= 9),
@@ -16,7 +16,7 @@
 
 Package: gtk2-engines-oxygen
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: kde-config-gtk-style
 Multi-Arch: same
